Bug 135313 - Crash on opening the tight integration dialog
Summary: Crash on opening the tight integration dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: high normal
Assignee: Yusuf Keten
URL:
Whiteboard: target:7.1.0
Keywords: wantBacktrace
Depends on:
Blocks: Extension-Tight-Integration
  Show dependency treegraph
 
Reported: 2020-07-30 11:51 UTC by Heiko Tietze
Modified: 2020-08-28 10:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-07-30 11:51:42 UTC
It crashes the application silently on macOS. Debugger stops at AdditionsDialog.cxx, line 458 m_xEntrySearch->connect_changed() with EXC_BAD_ACCESS.

Would be good to also test Windows.
Comment 1 Xisco Faulí 2020-07-30 13:16:57 UTC
Steps to reproduce it ?
Comment 2 Heiko Tietze 2020-07-30 16:08:01 UTC
* Tools > Customize: Add "Additions" to menu or toolbar
* Click the entry/icon => crash
Not sure but maybe you have to enable experimental features first
Comment 3 Xisco Faulí 2020-07-31 08:34:32 UTC
Yes, you need to enable experimental features first

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 231e1e416c039d1f9724962a89cf0573a3db48a2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 4 Commit Notification 2020-08-11 11:35:19 UTC
Yusuf Keten committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b03e218e9a5f6f8350ccb9c921b97a6bda2485bc

tdf#135313: Crash on opening the tight integration dialog

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.